Package weka.core

# Class CheckGOE

java.lang.Object
weka.core.Check
weka.core.CheckGOE

All Implemented Interfaces:
  `OptionHandler`, `RevisionHandler`

public class CheckGOE extends Check
Simple command line checking of classes that are editable in the GOE.

Usage:

`CheckGOE -W classname -- test options`

Valid options are:

     -D
      Turn on debugging output.

     -S
      Silent mode - prints nothing to stdout.

     -ignored <comma-separated list of properties>
      Skipped properties.
      (default: capabilities,options)

     -W
      Full name of the class analysed.
      eg: weka.classifiers.rules.ZeroR
      (default weka.classifiers.rules.ZeroR)

Version:
  $Revision: 11726 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckGOE()`
  default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkGlobalInfo()`
  checks whether the object declares a globalInfo method.
  `boolean`
  `checkToolTips()`
  checks whether the object declares tip text method for all its properties.
  `void`
  `doTests()`
  Runs some diagnostic tests on the object.
  `String`
  `getIgnoredProperties()`
  Get the ignored properties used in checkToolTips() as comma-separated list (sorted).
  `Object`
  `getObject()`
  Get the object used in the tests.
  `String[]`
  `getOptions()`
  Gets the current settings of the object.
  `String`
  `getRevision()`
  Returns the revision string.
  `boolean`
  `getSuccess()`
  returns the success of the tests
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `static void`
  `main(String[] args)`
  Main method for using the CheckGOE.
  `void`
  `setIgnoredProperties(String value)`
  Sets the properties to ignore in checkToolTips().
  `void`
  `setObject(Object value)`
  Set the object to work on..
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.

  ### Methods inherited from class weka.core.Check

  `getDebug, getSilent, setDebug, setSilent`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CheckGOE

    public CheckGOE()
    default constructor

- ## Method Details

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `Check`
    Returns:
      an enumeration of all the available options.

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options.

    Valid options are:

         -D
          Turn on debugging output.

         -S
          Silent mode - prints nothing to stdout.

         -ignored <comma-separated list of properties>
          Skipped properties.
          (default: capabilities,options)

         -W
          Full name of the class analysed.
          eg: weka.classifiers.rules.ZeroR
          (default weka.classifiers.rules.ZeroR)

    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `Check`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of the object.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `Check`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### setObject

    public void setObject(Object value)
    Set the object to work on..
    Parameters:
      `value` - the object to use.

  - ### getObject

    public Object getObject()
    Get the object used in the tests.
    Returns:
      the object used in the tests.

  - ### setIgnoredProperties

    public void setIgnoredProperties(String value)
    Sets the properties to ignore in checkToolTips(). Comma-separated list.
    Parameters:
      `value` - the list of properties
    See Also:
      - `checkToolTips()`

  - ### getIgnoredProperties

    public String getIgnoredProperties()
    Get the ignored properties used in checkToolTips() as comma-separated list (sorted).
    Returns:
      the ignored properties
    See Also:
      - `checkToolTips()`

  - ### getSuccess

    public boolean getSuccess()
    returns the success of the tests
    Returns:
      true if the tests were successful

  - ### checkGlobalInfo

    public boolean checkGlobalInfo()
    checks whether the object declares a globalInfo method.
    Returns:
      true if the test was passed

  - ### checkToolTips

    public boolean checkToolTips()
    checks whether the object declares tip text method for all its properties.
    Returns:
      true if the test was passed

  - ### doTests

    public void doTests()
    Runs some diagnostic tests on the object. Output is printed to System.out (if not silent).
    Specified by:
      `doTests` in class `Check`

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Returns:
      the revision

  - ### main

    public static void main(String[] args)
    Main method for using the CheckGOE.
    Parameters:
      `args` - the options to the CheckGOE